#include <cstdlib>
#include <cstdio>
#include <iostream>
#include <Windows.h>

using namespace std;

int main(int argc, char ** argv)
{
	/* get handle to dll */
   HINSTANCE hGetProcIDDLL = LoadLibrary((LPCWSTR)"npTuioClient.dll");

   /* get pointer to the function in the dll*/
   FARPROC lpfnGetProcessID = GetProcAddress(HMODULE (hGetProcIDDLL),"tuio_start");
   FARPROC lpfnGetProcessID2 = GetProcAddress(HMODULE (hGetProcIDDLL),"tuio_stop");

   /*
      Define the Function in the DLL for reuse. This is just prototyping the dll's function.
      A mock of it. Use "stdcall" for maximum compatibility.
   */
   typedef int (__stdcall * pICFUNC)(void);

   pICFUNC t;
   t = pICFUNC(lpfnGetProcessID);

   /* The actual call to the function contained in the dll */
   t();

   /* Release the Dll */
   FreeLibrary(hGetProcIDDLL);

	system("PAUSE");
	return 0;
}